package w3.ex1.specgen2.ex;

class SuperClass {
    private final int value;

    public SuperClass(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }
}

class SubClass extends SuperClass {
    public SubClass(int x) {
        super(x);
    }
    
    private int getValue() {
        return super.getValue();
    }
    
    public int getSquare() {
        return getValue() * getValue();
    }
}