package w3.ex2.binding.ex;

public class Binding1 {
	public static void printValue(A v) {
		System.out.println("This was an A: " + v.toString());
	}

	public static void printValue(B v) {
		System.out.println("This was a B: " + v.toString());
	}

	public static void printValue(S v) {
		System.out.print("That was an S");
		if (v.getClass() != S.class) {
			System.out.print(", subclassed by " + v.getClass() + ": ");
		} else {
			System.out.print(", not a strict subclass of S." + ": ");
		}
		System.out.println(v.toString());
	}

	public static void main(String[] args) {
		S spa = new S();
		A apa = new A();
		B bepa = new B();
		S apalt = apa;
		A bepalt = bepa;

		printValue(spa);
		printValue(apa);
		printValue(bepa);
		printValue(apalt);
		printValue(bepalt);
	}
}
