package w3.ex4.equals2.sol;

public class NamedPoint {
	private final Point point;
	private final String name;

	public NamedPoint(int x, int y, String name) {
		point = new Point(x, y);
		this.name = name;
	}

	public Point asPoint() {
		return point;
	}

	@Override
	public boolean equals(Object o) {
		if (!(o instanceof NamedPoint))
			return false;
		NamedPoint np = (NamedPoint) o;
		return np.point.equals(point) && np.name.equals(name);
	}

	// ...
	// �vriga metoder utel�mnade
	// ...

}