package w3.ex4.equals1.ex;

public class MyString {
	private final String s;

	public MyString(String s) {
		if (s == null) {
			throw new NullPointerException();
		}
		this.s = s;
	}

	@Override
	public boolean equals(Object o) {
		if (o instanceof MyString) {
			MyString os = (MyString) o;
			return s.equals(os.s);
		}
		return false;
	}

	public String asString() {
		return s;
	}
}
